# Detect the distribution in use
%global __despace head -n 1 | tr -d '[:space:]' | sed -e 's/[(].*[)]//g'
%global __lower4 cut -c 1-4 | tr '[:upper:]' '[:lower:]'
%global __distfile %([ -f /etc/SuSE-release ] && echo /etc/SuSE-release || echo /etc/redhat-release)
%global __distinit %(sed -e 's/ release .*//' -e 's/\\([A-Za-z]\\)[^ ]*/\\1/g' %{__distfile} | %{__despace} | %{__lower4})
%global __distvers %(sed -e 's/.* release \\([^. ]*\\).*/\\1/' %{__distfile} | %{__despace})
# Identify Alma, CentOS, CentOS Stream and Rocky Linux as rhel
%if "%{__distinit}" == "a" || "%{__distinit}" == "c" || "%{__distinit}" == "cl" || "%{__distinit}" == "cs" || "%{__distinit}" == "rl"
%global __distinit rhel
%endif
# Dist tag for Fedora is still "fc"
%if "%{__distinit}" == "f"
%global __distinit fc
%endif

Name:		perl-Probe-Perl
Version:	0.03
Release:	27.%{__distinit}%{__distvers}
Summary:	Information about the currently running perl
License:	GPL-1.0-or-later OR Artistic-1.0-Perl
URL:		https://metacpan.org/release/Probe-Perl
Source0:	https://cpan.metacpan.org/authors/id/K/KW/KWILLIAMS/Probe-Perl-%{version}.tar.gz
BuildArch:	noarch
# Module Build
BuildRequires:	coreutils
BuildRequires:	findutils
BuildRequires:	make
BuildRequires:	perl-generators
BuildRequires:	perl-interpreter
BuildRequires:	perl(ExtUtils::MakeMaker) >= 6.30
BuildRequires:	perl(warnings)
# Module Runtime
BuildRequires:	perl(Config)
BuildRequires:	perl(File::Spec)
BuildRequires:	perl(strict)
# Test Suite
BuildRequires:	perl(Test)
# Author Tests
BuildRequires:	perl(English)
BuildRequires:	perl(Test::More)
# Test::Perl::Critic → Perl::Critic → File::Which → Test::Script → Probe::Perl
%if 0%{!?perl_bootstrap:1}
BuildRequires:	perl(Test::Perl::Critic)
%endif
# Dependencies
%if 0%{?fedora} < 38 && 0%{?rhel} < 10
Requires:	perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))
%endif

%description
This module provides methods for obtaining information about the currently
running perl interpreter. It originally began life as code in the
Module::Build project, but has been externalized here for general use.

%prep
%setup -q -n Probe-Perl-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name .packlist -delete
%{_fixperms} -c %{buildroot}

%check
make test AUTHOR_TESTING=1

%files
%license LICENSE
%doc Changes README
%{perl_vendorlib}/Probe/
%{_mandir}/man3/Probe::Perl.3*

%changelog
* Thu Jul  6 2023 Paul Howarth <paul@city-fan.org> - 0.03-27
- Use SPDX-format license tag
- Use %%license unconditionally

* Fri Jun  7 2019 Paul Howarth <paul@city-fan.org> - 0.03-15
- Perl 5.30 rebuild

* Mon Apr 16 2018 Paul Howarth <paul@city-fan.org> - 0.03-11
- BR: perl-generators unconditionally
- BR: perl-interpreter rather than perl
- Drop support for EOL distributions prior to F-13
  - Drop BuildRoot: and Group: tags
  - Drop explicit buildroot cleaning in %%install section
  - Drop explicit %%clean section

* Fri Sep 23 2016 Paul Howarth <paul@city-fan.org> - 0.03-7
- Classify buildreqs by usage
- Drop support for building with ExtUtils::MakeMaker < 6.30
- Simplify find command using -delete
- Use %%license where possible
- Drop %%defattr, redundant since rpm 4.4

* Thu Aug  8 2013 Paul Howarth <paul@city-fan.org> - 0.03-1
- Update to 0.03
  - Improved the backticks/quoting situation on Windows, which unfortunately
    didn't fare well with the fixes in 0.02

* Mon Jul 15 2013 Paul Howarth <paul@city-fan.org> - 0.02-3
- Perl 5.18 rebuild

* Mon Apr 22 2013 Paul Howarth <paul@city-fan.org> - 0.02-2
- Don't BR: perl(Test::Perl::Critic) when bootstrapping

* Mon Apr 22 2013 Paul Howarth <paul@city-fan.org> - 0.02-1
- Update to 0.02
  - Switched to Git and Dist::Zilla
  - Fixed an issue with perls installed in directories containing spaces or
    other special shell characters
- Switch to ExtUtils::MakeMaker flow
- Package new upstream LICENSE file
- BR: perl(ExtUtils::MakeMaker) rather than perl(Module::Build)
- BR: perl(Test) and perl(Test::More) for the test suite
- Enable AUTHOR_TESTING and BR: perl(Test::Perl::Critic)
- Add patch to support building with ExtUtils::MakeMaker < 6.30

* Mon Jun 11 2012 Paul Howarth <paul@city-fan.org> - 0.01-11
- BR: perl(File::Spec)
- Don't need to remove empty directories from the buildroot
- Use search.cpan.org source URL
- Drop redundant explicit Requires: perl(Config)
- Drop support for old distributions prior to FC-3:
  - Don't need to define %%{perl_vendorlib}
  - Don't need to run test suite with LC_ALL=C

* Thu Jun 30 2011 Paul Howarth <paul@city-fan.org> - 0.01-8
- Rebuild for perl 5.14.1 in Rawhide
- Nobody else likes macros for commands
- Fix dist tag for CentOS 6 and Scientific Linux

* Wed Jun 23 2010 Paul Howarth <paul@city-fan.org> - 0.01-7
- Rebuild for perl 5.12.1 in Rawhide

* Wed Jun  2 2010 Paul Howarth <paul@city-fan.org> - 0.01-6
- Fix dist tag for RHEL-6 Beta

* Fri Feb 26 2010 Paul Howarth <paul@city-fan.org> - 0.01-5
- Dist tag for Rawhide no longer needs special-casing
- Use %%{_fixperms} macro instead of our own %%{__chmod} incantation

* Tue Sep 15 2009 Paul Howarth <paul@city-fan.org> - 0.01-4
- Import from Fedora

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.01-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.01-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Wed Sep 24 2008 Marcela Mašláňová <mmaslano@redhat.com> - 0.01-1
- Specfile autogenerated by cpanspec 1.77
